import { RestPathParams, RestQueryParams, RestRequestBody } from './index';
import { RestRequestHeaders } from './RestRequestHeaders';
export type RestApiRequest<PathParams extends RestPathParams, QueryParams extends RestQueryParams, RequestHeaders extends RestRequestHeaders, RequestBody extends RestRequestBody> = {
    pathParams: PathParams;
    queryParams: QueryParams;
    headers: RequestHeaders;
    body: RequestBody;
};
